Arch: CloseHoles/Закрыть отверстия

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch CloseHoles and the translation is 29% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska
Arrow-left.svg Previous: Arch RemoveShape.svg Remove Shape

Arch CloseHoles.svg Arch CloseHoles

Расположение в меню
Архитектура → Утилиты → Убрать отверстия
Верстаки
Arch
Быстрые клавиши
отсутствуют
Представлено в версии
-
См. также
Проверь


Описание

Этот инструмент идентифицирует дыры (круговую последовательность открытых ребер) в объекте Shape и пытается закрыть его, добавив в него новую грань, сделанную из этой последовательности ребер. Вы все равно должны убедиться, что результат является прочным.

Использование

  1. Select a Shape object.
  2. Press the Arch CloseHoles.svg Close Holes entry in Arch → Utilities → Close Holes.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

solid = closeHole(shape)
  • Closes a hole in a shape, which is a Part.Shape, and returns the new solid object.

Example:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute() 

solid = Arch.closeHole(Wall.Shape)
Arrow-left.svg Previous: Arch RemoveShape.svg Remove Shape